# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. The list of available CPACK_xxx variables and their associated
# documentation may be obtained using
#  cpack --help-variable-list
#
# Some variables are common to all generators (e.g. CPACK_PACKAGE_NAME)
# and some are specific to a generator
# (e.g. CPACK_NSIS_EXTRA_INSTALL_COMMANDS). The generator specific variables
# usually begin with CPACK_<GENNAME>_xxxx.


SET(CPACK_BINARY_7Z "")
SET(CPACK_BINARY_BUNDLE "")
SET(CPACK_BINARY_CYGWIN "")
SET(CPACK_BINARY_DEB "")
SET(CPACK_BINARY_DRAGNDROP "")
SET(CPACK_BINARY_IFW "")
SET(CPACK_BINARY_NSIS "")
SET(CPACK_BINARY_OSXX11 "")
SET(CPACK_BINARY_PACKAGEMAKER "")
SET(CPACK_BINARY_RPM "")
SET(CPACK_BINARY_STGZ "")
SET(CPACK_BINARY_TBZ2 "")
SET(CPACK_BINARY_TGZ "")
SET(CPACK_BINARY_TXZ "")
SET(CPACK_BINARY_TZ "")
SET(CPACK_BINARY_WIX "")
SET(CPACK_BINARY_ZIP "")
SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_COMPONENTS_ALL "Unspecified;configinstall;fortheaders;fortlibraries;hdfdocuments;headers;hlfortlibraries;hlheaders;hllibraries;hltoolsapplications;libraries;toolsapplications;toolsheaders;toolslibraries")
SET(CPACK_COMPONENTS_ALL_IN_ONE_PACKAGE "ON")
SET(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
SET(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "help@hdfgroup.org")
SET(CPACK_DEBIAN_PACKAGE_SECTION "Libraries")
SET(CPACK_GENERATOR "TGZ;STGZ")
SET(CPACK_INSTALL_CMAKE_PROJECTS "/tcc1/proj/gaiaclim/src/hdf5/mybuild-1.10.0-gcc-mpi;HDF5;ALL;/")
SET(CPACK_INSTALL_PREFIX "/opt/hdf5/1.10.0/mpi")
SET(CPACK_MODULE_PATH "/home/tux/src/hdf5/hdf5-1.10.0/config/cmake;/home/tux/src/hdf5/hdf5-1.10.0/config/cmake_ext_mod")
SET(CPACK_NSIS_DISPLAY_NAME "HDF_Group/HDF5/1.10.0")
SET(CPACK_NSIS_INSTALLER_ICON_CODE "")
SET(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
SET(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
SET(CPACK_NSIS_PACKAGE_NAME "HDF_Group/HDF5/1.10.0")
SET(CPACK_OUTPUT_CONFIG_FILE "/tcc1/proj/gaiaclim/src/hdf5/mybuild-1.10.0-gcc-mpi/CPackConfig.cmake")
SET(CPACK_PACKAGE_DEFAULT_LOCATION "/")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "/home/tux/src/hdf5/hdf5-1.10.0/release_docs/RELEASE.txt")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "HDF5 built using CMake")
SET(CPACK_PACKAGE_FILE_NAME "HDF5-1.10.0-Linux")
SET(CPACK_PACKAGE_ICON "/home/tux/src/hdf5/hdf5-1.10.0/config/cmake_ext_mod/hdf.bmp")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "HDF_Group/HDF5/1.10.0")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "HDF_Group/HDF5/1.10.0")
SET(CPACK_PACKAGE_NAME "HDF5")
SET(CPACK_PACKAGE_RELOCATABLE "true")
SET(CPACK_PACKAGE_VENDOR "HDF_Group")
SET(CPACK_PACKAGE_VERSION "1.10.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "1.10")
SET(CPACK_PACKAGE_VERSION_MINOR "0")
SET(CPACK_PACKAGE_VERSION_PATCH "")
SET(CPACK_PACKAGING_INSTALL_PREFIX "/HDF_Group/HDF5/1.10.0")
SET(CPACK_RESOURCE_FILE_LICENSE "/home/tux/src/hdf5/hdf5-1.10.0/release_docs/COPYING")
SET(CPACK_RESOURCE_FILE_README "/home/tux/src/hdf5/hdf5-1.10.0/release_docs/RELEASE.txt")
SET(CPACK_RESOURCE_FILE_WELCOME "/opt/cmake/3.5.1/share/cmake-3.5/Templates/CPack.GenericWelcome.txt")
SET(CPACK_RPM_COMPONENT_INSTALL "ON")
SET(CPACK_RPM_PACKAGE_DESCRIPTION "The HDF5 technology suite includes:

    * A versatile data model that can represent very complex data objects and a wide variety of metadata.

    * A completely portable file format with no limit on the number or size of data objects in the collection.

    * A software library that runs on a range of computational platforms, from laptops to massively parallel systems, and implements a high-level API with C, C++, Fortran 90, and Java interfaces.

    * A rich set of integrated performance features that allow for access time and storage space optimizations.

    * Tools and applications for managing, manipulating, viewing, and analyzing the data in the collection.

The HDF5 data model, file format, API, library, and tools are open and distributed without charge.
")
SET(CPACK_RPM_PACKAGE_GROUP "Development/Libraries")
SET(CPACK_RPM_PACKAGE_LICENSE "BSD-style")
SET(CPACK_RPM_PACKAGE_RELEASE "1")
SET(CPACK_RPM_PACKAGE_RELOCATABLE "ON")
SET(CPACK_RPM_PACKAGE_SUMMARY "HDF5 is a unique technology suite that makes possible the management of extremely large and complex data collections.")
SET(CPACK_RPM_PACKAGE_URL "http://www.hdfgroup.org")
SET(CPACK_SET_DESTDIR "OFF")
SET(CPACK_SOURCE_7Z "")
SET(CPACK_SOURCE_CYGWIN "")
SET(CPACK_SOURCE_GENERATOR "TBZ2;TGZ;TXZ;TZ")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "/tcc1/proj/gaiaclim/src/hdf5/mybuild-1.10.0-gcc-mpi/CPackSourceConfig.cmake")
SET(CPACK_SOURCE_TBZ2 "ON")
SET(CPACK_SOURCE_TGZ "ON")
SET(CPACK_SOURCE_TXZ "ON")
SET(CPACK_SOURCE_TZ "ON")
SET(CPACK_SOURCE_ZIP "OFF")
SET(CPACK_SYSTEM_NAME "Linux")
SET(CPACK_TOPLEVEL_TAG "Linux")
SET(CPACK_WIX_SIZEOF_VOID_P "8")

if(NOT CPACK_PROPERTIES_FILE)
  set(CPACK_PROPERTIES_FILE "/tcc1/proj/gaiaclim/src/hdf5/mybuild-1.10.0-gcc-mpi/CPackProperties.cmake")
endif()

if(EXISTS ${CPACK_PROPERTIES_FILE})
  include(${CPACK_PROPERTIES_FILE})
endif()

# Configuration for installation type "Full"
list(APPEND CPACK_ALL_INSTALL_TYPES Full)
set(CPACK_INSTALL_TYPE_FULL_DISPLAY_NAME "Everything")

# Configuration for installation type "Developer"
list(APPEND CPACK_ALL_INSTALL_TYPES Developer)

# Configuration for component group "Runtime"

# Configuration for component group "Documents"
set(CPACK_COMPONENT_GROUP_DOCUMENTS_DESCRIPTION "Release notes for developing HDF5 applications")
set(CPACK_COMPONENT_GROUP_DOCUMENTS_EXPANDED TRUE)

# Configuration for component group "Development"
set(CPACK_COMPONENT_GROUP_DEVELOPMENT_DESCRIPTION "All of the tools you'll need to develop HDF5 applications")
set(CPACK_COMPONENT_GROUP_DEVELOPMENT_EXPANDED TRUE)

# Configuration for component group "Applications"
set(CPACK_COMPONENT_GROUP_APPLICATIONS_DESCRIPTION "Tools for HDF5 files")
set(CPACK_COMPONENT_GROUP_APPLICATIONS_EXPANDED TRUE)

# Configuration for component "libraries"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_LIBRARIES_DISPLAY_NAME "HDF5 Libraries")
set(CPACK_COMPONENT_LIBRARIES_GROUP Runtime)
set(CPACK_COMPONENT_LIBRARIES_INSTALL_TYPES Full Developer User)

# Configuration for component "headers"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "HDF5 Headers")
set(CPACK_COMPONENT_HEADERS_GROUP Development)
set(CPACK_COMPONENT_HEADERS_DEPENDS libraries)
set(CPACK_COMPONENT_HEADERS_INSTALL_TYPES Full Developer)

# Configuration for component "hdfdocuments"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_HDFDOCUMENTS_DISPLAY_NAME "HDF5 Documents")
set(CPACK_COMPONENT_HDFDOCUMENTS_GROUP Documents)
set(CPACK_COMPONENT_HDFDOCUMENTS_INSTALL_TYPES Full Developer)

# Configuration for component "configinstall"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_CONFIGINSTALL_DISPLAY_NAME "HDF5 CMake files")
set(CPACK_COMPONENT_CONFIGINSTALL_GROUP Development)
set(CPACK_COMPONENT_CONFIGINSTALL_DEPENDS libraries)
set(CPACK_COMPONENT_CONFIGINSTALL_INSTALL_TYPES Full Developer User)

# Configuration for component "fortlibraries"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_FORTLIBRARIES_DISPLAY_NAME "HDF5 Fortran Libraries")
set(CPACK_COMPONENT_FORTLIBRARIES_GROUP Runtime)
set(CPACK_COMPONENT_FORTLIBRARIES_DEPENDS libraries)
set(CPACK_COMPONENT_FORTLIBRARIES_INSTALL_TYPES Full Developer User)

# Configuration for component "fortheaders"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_FORTHEADERS_DISPLAY_NAME "HDF5 Fortran Headers")
set(CPACK_COMPONENT_FORTHEADERS_GROUP Development)
set(CPACK_COMPONENT_FORTHEADERS_DEPENDS fortlibraries)
set(CPACK_COMPONENT_FORTHEADERS_INSTALL_TYPES Full Developer)

# Configuration for component "toolsapplications"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_TOOLSAPPLICATIONS_DISPLAY_NAME "HDF5 Tools Applications")
set(CPACK_COMPONENT_TOOLSAPPLICATIONS_GROUP Applications)
set(CPACK_COMPONENT_TOOLSAPPLICATIONS_DEPENDS toolslibraries)
set(CPACK_COMPONENT_TOOLSAPPLICATIONS_INSTALL_TYPES Full Developer User)

# Configuration for component "toolslibraries"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_TOOLSLIBRARIES_DISPLAY_NAME "HDF5 Tools Libraries")
set(CPACK_COMPONENT_TOOLSLIBRARIES_GROUP Runtime)
set(CPACK_COMPONENT_TOOLSLIBRARIES_DEPENDS libraries)
set(CPACK_COMPONENT_TOOLSLIBRARIES_INSTALL_TYPES Full Developer User)

# Configuration for component "toolsheaders"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_TOOLSHEADERS_DISPLAY_NAME "HDF5 Tools Headers")
set(CPACK_COMPONENT_TOOLSHEADERS_GROUP Development)
set(CPACK_COMPONENT_TOOLSHEADERS_DEPENDS toolslibraries)
set(CPACK_COMPONENT_TOOLSHEADERS_INSTALL_TYPES Full Developer)

# Configuration for component "hllibraries"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_HLLIBRARIES_DISPLAY_NAME "HDF5 HL Libraries")
set(CPACK_COMPONENT_HLLIBRARIES_GROUP Runtime)
set(CPACK_COMPONENT_HLLIBRARIES_DEPENDS libraries)
set(CPACK_COMPONENT_HLLIBRARIES_INSTALL_TYPES Full Developer User)

# Configuration for component "hlheaders"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_HLHEADERS_DISPLAY_NAME "HDF5 HL Headers")
set(CPACK_COMPONENT_HLHEADERS_GROUP Development)
set(CPACK_COMPONENT_HLHEADERS_DEPENDS hllibraries)
set(CPACK_COMPONENT_HLHEADERS_INSTALL_TYPES Full Developer)

# Configuration for component "hltoolsapplications"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_HLTOOLSAPPLICATIONS_DISPLAY_NAME "HDF5 HL Tools Applications")
set(CPACK_COMPONENT_HLTOOLSAPPLICATIONS_GROUP Applications)
set(CPACK_COMPONENT_HLTOOLSAPPLICATIONS_DEPENDS hllibraries)
set(CPACK_COMPONENT_HLTOOLSAPPLICATIONS_INSTALL_TYPES Full Developer User)

# Configuration for component "hlfortlibraries"

SET(CPACK_COMPONENTS_ALL Unspecified configinstall fortheaders fortlibraries hdfdocuments headers hlfortlibraries hlheaders hllibraries hltoolsapplications libraries toolsapplications toolsheaders toolslibraries)
set(CPACK_COMPONENT_HLFORTLIBRARIES_DISPLAY_NAME "HDF5 HL Fortran Libraries")
set(CPACK_COMPONENT_HLFORTLIBRARIES_GROUP Runtime)
set(CPACK_COMPONENT_HLFORTLIBRARIES_DEPENDS fortlibraries)
set(CPACK_COMPONENT_HLFORTLIBRARIES_INSTALL_TYPES Full Developer User)
